jmeter-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Antonio Gomes Rodrigues <ra0...@gmail.com>
Subject Re: MongoDB driver
Date Wed, 19 Jul 2017 12:19:07 GMT
Hi,

If I remember it's because we have few time to update it and because it's
not very used

Antonio

2017-07-19 14:15 GMT+02:00 Emilian Bold <emilian.bold@gmail.com>:

> I don't know why the MongoDB protocol got deprecated, but the next
> step would be removal of the classes not updating libraries.
>
> --emi
>
>
> On Wed, Jul 19, 2017 at 12:55 PM, Maxime Chassagneux
> <mchassagneux@apache.org> wrote:
> > Hi,
> >
> > The JMeter bundle still include a mongoDB java driver ( version 2.11.3 )
> > which is really old and doesn't work with all authentication
> >
> > By example :
> >
> > javax.script.ScriptException: java.lang.IllegalArgumentException:
> > Unsupported authMechanism: SCRAM-SHA-1
> >
> >
> > As mongoDB is deprecated in JMeter, my question is : Should we keep this
> > librairie or update it to the lastest version ?
> >
> > Thanks for ur feedback.
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message